#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ShellCheck
version:              0.10.0
visibility:           public
id:                   ShellCheck-0.10.0-2iFMVmEj3VH8xO5BJldt6d
key:                  ShellCheck-0.10.0-2iFMVmEj3VH8xO5BJldt6d
license:              GPL-3.0-only
maintainer:           vidar@vidarholen.net
author:               Vidar Holen
homepage:             https://www.shellcheck.net/
synopsis:             Shell script analysis tool
description:
    The goals of ShellCheck are:

    * To point out and clarify typical beginner'\''s syntax issues,
    that causes a shell to give cryptic error messages.

    * To point out and clarify typical intermediate level semantic problems,
    that causes a shell to behave strangely and counter-intuitively.

    * To point out subtle caveats, corner cases and pitfalls, that may cause an
    advanced user'\''s otherwise working script to fail under future circumstances.

category:             Static Analysis
abi:                  b89330511ef5773fb86cb6e3280f3482
exposed:              True
exposed-modules:
    ShellCheck.AST ShellCheck.ASTLib ShellCheck.Analytics
    ShellCheck.Analyzer ShellCheck.AnalyzerLib ShellCheck.CFG
    ShellCheck.CFGAnalysis ShellCheck.Checker
    ShellCheck.Checks.Commands ShellCheck.Checks.ControlFlow
    ShellCheck.Checks.Custom ShellCheck.Checks.ShellSupport
    ShellCheck.Data ShellCheck.Debug ShellCheck.Fixer
    ShellCheck.Formatter.CheckStyle ShellCheck.Formatter.Diff
    ShellCheck.Formatter.Format ShellCheck.Formatter.GCC
    ShellCheck.Formatter.JSON ShellCheck.Formatter.JSON1
    ShellCheck.Formatter.Quiet ShellCheck.Formatter.TTY
    ShellCheck.Interface ShellCheck.Parser ShellCheck.Prelude
    ShellCheck.Regex

hidden-modules:       Paths_ShellCheck
import-dirs:          /usr/lib/ghc-9.2.8/site-local/ShellCheck-0.10.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ShellCheck-0.10.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/shellcheck
hs-libraries:         HSShellCheck-0.10.0-2iFMVmEj3VH8xO5BJldt6d
depends:
    Diff-0.4.1-1toefkTHVOxAofxmNpSV9Z
    QuickCheck-2.14.3-1kHSJYV22r9H1CQAFEYDgg
    aeson-2.1.2.1-7IgTEIjsesxDBKStPrg8Ee array-0.5.4.0 base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1 deepseq-1.4.6.1
    directory-1.3.6.2 fgl-5.8.3.0-FxoB4Uxl9Vi2SI9JyWIuQC
    filepath-1.4.2.2 mtl-2.2.2 parsec-3.1.15.0 process-1.6.16.0
    regex-tdfa-1.3.2.2-Jqk1ZMahmcyCwODZUJ39zs transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/shellcheck/html/ShellCheck.haddock
haddock-html:         /usr/share/doc/shellcheck/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

